[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: Lilypond 2.5.25 for Windows

From: Jan Nieuwenhuizen
Subject: Re: Lilypond 2.5.25 for Windows
Date: Sat, 28 May 2005 12:11:07 +0200
User-agent: Gnus/5.1003 (Gnus v5.10.3) Emacs/21.3.50 (gnu/linux)

Thomas Scharkowski writes:

> But I'd like to use jEdit, how can I?

Use environment sitting LYEDITOR=jedit.

> I cannot even use a Dos-box, typinf "lilypond" with or without 
> parameters produces nothing, not even an error message.

What is typinf?  Have you added the bin directory to your PATH?

Otoh, if you want a DOS box, you probably want to check-out cygwin,

that has much more powerful command line possibilities.

> Using the command from inside jEdit produces errors, e.g.:
> ERROR: In procedure primitive-load-path:
> ERROR: Unable to find file "ice-9/boot-9.scm" in load path

That is odd.  Can you double check if you are using the right
lilypond.bat wrapper, and if the GUILE_LOAD_PATH listed there is

> Der Befehl "convert-ly" ist entweder falsch geschrieben oder
> konnte nicht gefunden werden.

The python scripts do not work, as I do not ship python, as I already
have to ship guile.  I want to have a small, self contained setup.exe
package, and shipping two scripting interpreters is silly.

An option would be to start rewriting the most essentials scripts in
guile, or to offer their functionality through a web interface.


Jan Nieuwenhuizen <address@hidden> | GNU LilyPond - The music typesetter       |

reply via email to

[Prev in Thread] Current Thread [Next in Thread]